Packages - Privacy Issue #3402

Check if xonotic enable statistics.xonotic.org by default
2022-12-20 11:13 PM - GNUtoo

Status: confirmed % Done: 0%
Priority: privacy issue

Assignee:

Category:

Description

I've only looked at it through Guix as my parabola installations that can run xonotic already have configuration data.

After agreeing to the services TOS, that basically tell you that TOS apply to stats.xonotic.org and to the xonotic-forum, you are asked
if you want to "Allow player statistics to use your nickname at stats.xonotic.org?".

It also tells you that "Player statistics are enabled by default, you can change this in the Profile menu". And so even if you select "no"
or "undecided", you are tracked.

So as | understand tracking has to be opt-in, and having it opt-out is forbidden by the GDPR and the FSDG.

So we need to fix that in Parabola (and also in Guix). I'll try to bugreport in Guix too when | find the time.

History

#1 - 2022-12-22 12:09 AM - GNUtoo

If we uncheck Allow player statistics to track your client and keep the other checked, the two other below are greyed out but it still track people:
[ 1 Allow player statistics to track your client
[x] Allow player statistics to use your nickname
[x] Allow player statistics to rank you in the leaderboards
because with these settings I'm listed in: https:/stats.xonotic.org/game/2075117
I'll try with all 3 unchecked.
Denis.
#2 - 2022-12-22 01:25 AM - GNUtoo
- Status changed from unconfirmed to confirmed
| think that even with tracking disabled it still tracks people
https://stats.xonotic.org/game/2075155
Here I'm the third blue:

32 AnonymousPlayer 3 0 1 1 2 28

So I'm still recorded as "Anonymous player".

To get that info | played a game, then | take a picture at the end of the statistics and | compared it.
There were only 3 blue and 3 red at the end.

Though | didn't restart the game since | unchecked the 3 boxes.

edit1: Add methodology.
edit2: Add the fact that | didn't restart.

#3 - 2022-12-22 01:28 AM - GNUtoo

Guix has the opposite issue: tracking doesn't work there somehow: https://issues.quix.gnu.org/43685

So | probably need to remove the file they are talking about to see if | can get not listed on xonotics statistics.
#4 - 2022-12-22 01:35 AM - GNUtoo

After quiting xonotic-sdl and starting it again, I'm this blue line:

31 AnonymousPlayer 0 O O O O O

https://stats.xonotic.org/game/2075159

So it still collects data.

#5 - 2022-12-22 01:42 AM - GNUtoo

The 3 settings variable names are:

e cl_allow_uid2name
e cl_allow_uidranking
e cl_allow_uidtracking

And for the 3 settings, the options are:
-1: ask

0:disable

1: enable

It was on 0 when | had the privacy leaks. I'll try -1 but | fear we'd have to either remove xonotic or fix the source code.

#6 - 2022-12-22 02:16 AM - direnis

| really like to see xonotic on the repos, i will try to help somehow. also there are performance differences between xonotic from repos and xonotic

downloaded from their website.

#7 - 2022-12-22 02:36 AM - GNUtoo
With -1 everywhere it asks before starting to play an online game

But after saying yes you end up with again statistics showing up:

31 Anonymous Player 11 4 7 2 1 114

https://stats.xonotic.org/game/2075181

#8 - 2022-12-22 02:38 AM - GNUtoo

Some performance difference could be attributed to compilation flags. Parabola tries to also be compatible with older computers, so it doesn't use
compilation flags for things like AVX2 unless there is a runtime detection of CPU capabilities.

Though maybe it's possible to build multiple variants within the same PKGBUILD to make sure that the maintenance cost isn't increased.

edit1: Add more background.

#9 - 2023-01-29 07:06 PM - GNUtoo

I've checked with a fresh Guix system installation, and xonotic has the same behavior than with Parabola: with all tracking settings deactivated I still

see me as an anonymous player in the public statistics.

edit1: improved wording.
